=== debian/control ===
Source: rock-master-20.01-ruby-qtbindings
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: debhelper, gem2deb, cmake, libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev, dh-autoreconf, libgl1-mesa-dev
Standards-Version: 3.9.4
#Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-qtbindings.git
#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-qtbindings.git;a=summary
Homepage: http://github.com/ryanmelt/qtbindings
XS-Ruby-Versions: all
Vcs-Browser:
Vcs-Git:

Package: rock-master-20.01-ruby-qtbindings
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: Qt bindings for ruby
 qtbindings provides ruby bindings to QT4.x. It is derived from the kdebindings project.
